Bug 437889 - glibc.i686 -> glibc.i586 leftover unowned files
glibc.i686 -> glibc.i586 leftover unowned files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
8
i586 Linux
low Severity high
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-17 18:02 EDT by Peter Bieringer
Modified: 2009-01-09 01:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:12:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2008-03-17 18:02:47 EDT
Description of problem:
After switch to i586 libraries to analyse the cause of various crashes of
firefox and other applications on a VIA C3 system, after installation of new
kernels init of ramdisk segfaults.

Version-Release number of selected component (if applicable):
mkinitrd-6.0.19-4.fc8

How reproducible:
Always now.
Actual results:


Expected results:
init of ramdisk segfaults

Additional info:
I've tracked down the problem that ld-2.7.so and libdl-2.7.so are causing the
problem. I can reproduce this now using an extracted initrd:

# chroot /tmp/initrd-2.6.24.3-22.fc8 /bin/nash
Segmentation fault

strace tells:
set_thread_area({entry_number:-1 -> 6, base_addr:0xb7f12710, limit:1048575,
seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0,
useable:1}) = 0
mprotect(0x5ba000, 8192, PROT_READ)     = 0
mprotect(0x456000, 4096, PROT_READ)     = 0
mprotect(0x24d000, 4096, PROT_READ)     = 0
mprotect(0x246000, 4096, PROT_READ)     = 0
mprotect(0x12b000, 4096, PROT_READ)     = 0
munmap(0xb7f18000, 1672)                = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++

ltrace:
chdir("/")                                                                     
   = 0
execvp(0xbfa29a6d, 0xbfa2937c, 0x804ab52, 0, 0 <unfinished ...>
--- SIGSEGV (Segmentation fault) ---
+++ killed by SIGSEGV +++


After exchanging the mentionend 2 libraries with the ones of an initrd built
with i686 libraries, segfault is gone.

But it's strange that installed /sbin/nash has no problems on this systems.
Comment 1 Warren Togami 2008-03-24 16:16:13 EDT
> After switch to i586 libraries

BTW, if you side-graded from glibc.i686 to glibc.i586 then it might have
leftover /lib/i686/nosegneg which gets into the initrd image causing problems. 
Use rpm -qf to verify that stuff in there are no longer owned by any package and
erase them manually, then rum mkinitrd again.

Does this help?
Comment 2 Peter Bieringer 2008-03-25 18:33:20 EDT
Yes, this helps, thank you very much for this hint. Is this a bug or a feature?
Comment 3 Warren Togami 2008-03-25 22:16:21 EDT
Hmm... I suppose we could assign this as an rpm bug.  It really shouldn't be
doing this.
Comment 4 Panu Matilainen 2008-05-08 03:41:12 EDT
Reproducer please...
1) I fail to see any i586 glibc packages in Fedora, do you actually mean glibc.i386?
2) Which exact command(s) were used for downgrading (or well, side-grading) the
package(s)?
Comment 5 Peter Bieringer 2008-05-08 15:52:57 EDT
1) yes, glibc.i386

2) history shows me:
  184  rpm -Uhv --force glibc-2.7-2.i386.rpm 
  185  rpm -Uhv --force glibc-common-2.7-2.i386.rpm 
Comment 6 Panu Matilainen 2008-11-12 05:21:29 EST
BTW the deal here is that since it doesn't count as an upgrade (as evr is the same in both), there's no erase involved. So once you've forced the install of a different arch, same nevra, you have too partially mixed glibc versions installed (see 'rpm -q glibc'). To clean it up after --force, you need to remove the other package manually (ie 'rpm -e glibc.i686') to get rid of the "leftover" files.

And yes, rpm could be more intelligent about it - arch and evr are checked but this case kinda falls through the cracks.
Comment 7 Bug Zapper 2008-11-26 05:12:08 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 01:12:41 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.